textures/lnarun/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              

	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

textures/lnarun/snow
{
	qer_editorimage textures/stone/mxsnow2.tga
	q3map_baseshader textures/lnarun/base_terrain
	
	surfaceparm landmine
	surfaceparm snowsteps
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	
	
	{
		map textures/stone/mxsnow2.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/evolution/rage
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/lnarun/blue
{
	qer_editorimage textures/lnarun/blue.tga
	qer_trans .5
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/lnarun/blue.tga
		blendfunc filter
		rgbGen identity
		tcGen environment
		tcMod scroll 0.01 -0.01
	}
}

textures/lnarun/metal
{
	surfaceparm metalsteps
	surfaceparm nodamage
	implicitMap -
}

textures/lnarun/e8_jumppad02
{
	q3map_lightimage textures/lnarun/e8_jumppad02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/lnarun/e8_jumppad02_fx.tga
		blendfunc add
		tcMod rotate 360
		tcMod stretch sin 1 0.8 1 0.4 
	}
	{
		map textures/lnarun/e8_jumppad02.tga
		blendfunc add
		rgbGen identity
	}
	{
		map textures/lnarun/e8_jumppad02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/lnarun/metaaldude
{
	surfaceparm metalsteps
	surfaceparm nodamage
	implicitMap -
}

textures/lnarun/icedude
{
	surfaceparm slick
	surfaceparm nodamage
	implicitMap -
}

textures/lnarun/skybox
{
	qer_editorimage textures/lnarun/skybox.tga
	q3map_sunExt .95 .95 .9 99 270 50 3 16
	q3map_skylight 55 4
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/lnarun/skybox.tga
		rgbGen identity
	}
	{
		map textures/lnarun/skybox.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}
}

textures/enumaelish/start
{
	qer_editorimage textures/enumaelish/start.tga
	
	surfaceparm nonsolid
	{
 		map textures/enumaelish/start.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}

textures/enumaelish/end
{
	qer_editorimage textures/enumaelish/end.tga
	
	surfaceparm nonsolid
	{
 		map textures/enumaelish/end.tga
 		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.00 1.00 0.40 )
 	}
}

textures/lnarun/one
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

textures/lnarun/two
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

textures/lnarun/three
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

textures/lnarun/four
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

textures/lnarun/five
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

textures/lnarun/six
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm trans
	implicitMask -
}

textures/enumaelish/water_originals
{
	nocompress
	qer_editorimage textures/enumaelish/water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{ 
		fog on
		map textures/enumaelish/water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	{ 
		fog on
		map textures/enumaelish/water_ripplelol1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
}

textures/enumaelish/water_teleport
{
	nocompress
	qer_editorimage textures/enumaelish/water.tga
	qer_trans .5
	q3map_surfacelight 100
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	{ 
		fog on
		map textures/enumaelish/water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	{ 
		fog on
		map textures/enumaelish/water_ripplelol1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
}

textures/enumaelish/acid_bubbles1
{
	qer_editorimage textures/enumaelish/twether.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 10.538234 -20.305841 64.466774 sawtooth 0 1 0.931455 0.4
	{
		clampmap textures/enumaelish/twether.tga
		tcMod rotate 52.131718
		AlphaGen wave sawtooth 1.000000 0.000000 0.931455 0.4
		rgbGen wave sawtooth 2.000000 -2.000000 0.931455 0.4
		tcMod stretch sawtooth 1.000000 0.000000 0.931455 0.4
		blendfunc add
	}
}

textures/enumaelish/acid_bubbles2
{
	qer_editorimage textures/enumaelish/twether.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -6.804727 -19.816284 30.435993 sawtooth 0 1 0.822443 0.7
	{
		clampmap textures/enumaelish/twether.tga
		tcMod rotate 56.191292
		AlphaGen wave sawtooth 1.000000 0.000000 0.822443 0.7
		rgbGen wave sawtooth 2.000000 -2.000000 0.822443 0.7
		tcMod stretch sawtooth 1.000000 0.000000 0.822443 0.7
		blendfunc add
	}
}

textures/enumaelish/acid_bubbles3
{
	qer_editorimage textures/enumaelish/twether.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.625973 0.087306 68.125160 sawtooth 0 1 0.901944 0.5
	{
		clampmap textures/enumaelish/twether.tga
		tcMod rotate 47.076939
		AlphaGen wave sawtooth 1.000000 0.000000 0.901944 0.5
		rgbGen wave sawtooth 2.000000 -2.000000 0.901944 0.5
		tcMod stretch sawtooth 1.000000 0.000000 0.901944 0.5
		blendfunc add
	}
}

